package app.navigation.regular.components;

import app.navigation.regular.RegularNavigation;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.orderedlayout.FlexComponent;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public class RegularNavigationHeader extends HorizontalLayout {

    private final RegularNavigation regularNavigation;

    private final Label seasonLabel = new Label("Season:");
    private final Label matchdayLabel = new Label("Matchday:");
    private final Label matchLabel = new Label("Match:");

    public RegularNavigationHeader(RegularNavigation regularNavigation) {
        this.regularNavigation = regularNavigation;
        defineLayout();
        configureChildren();
    }

    private void defineLayout() {
        setWidthFull();
        setAlignItems(FlexComponent.Alignment.CENTER);
        setJustifyContentMode(FlexComponent.JustifyContentMode.END);
    }

    private void configureChildren() {
        removeAll();
        if (regularNavigation.seasonEnabled()) {
            add(seasonLabel, regularNavigation.getSeasonSelect());
        }
        if (regularNavigation.matchdayEnabled()) {
            add(matchdayLabel, regularNavigation.getMatchdaySelect());
        }
        if (regularNavigation.matchEnabled()) {
            add(matchLabel, regularNavigation.getMatchSelect());
        }
    }
}
